import{S as Pu,i as Nu,s as Au,e as a,k as h,w as x,t as p,M as Iu,c as i,d as t,m as g,a as l,x as T,h as m,b as q,G as e,g as k,y as b,q as O,o as y,B as M,v as Du,L as z}from"../../../chunks/vendor-hf-doc-builder.js";import{T as ge}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as P}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as le}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as S}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Lu(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Xu(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Uu(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Wu(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Qu(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=a("p"),_=p("Example of custom tasks(e.g. a sentence transformers taking "),d=a("code"),u=p("pooler_output"),f=p(" as output):"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example of custom tasks(e.g. a sentence transformers taking "),d=i(v,"CODE",{});var E=l(d);u=m(E,"pooler_output"),E.forEach(t),f=m(v," as output):"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Hu(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p("(only if the task is supported):"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,"(only if the task is supported):"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Vu(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Bu(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">384</span>]`}}),{c(){s=a("p"),_=p("Example of feature extraction:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of feature extraction:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Gu(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Ju(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Yu(j){let s,_,d,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of image classification:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of image classification:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function Ku(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function Zu(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function eh(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("ehdwns1516/bert-base-uncased_SWAG")
model = ORTModelForMultipleChoice.from_pretrained("ehdwns1516/bert-base-uncased_SWAG", from_transformers=True)

num_choices = 4
first_sentence = ["Members of the procession walk down the street holding small horn brass instruments."] * num_choices
second_sentence = [
    "A drum line passes by walking down the street playing their instruments.",
    "A drum line has heard approaching them.",
    "A drum line arrives and they're outside dancing and asleep.",
    "A drum line turns the lead singer watches the performance."
]
inputs = tokenizer(first_sentence, second_sentence, truncation=True, padding=True)

for k, v in inputs.items():
    inputs[k] = [v[i: i + num_choices] for i in range(0, len(v), num_choices)]
inputs = dict(inputs.convert_to_tensors(tensor_type="pt"))
outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_choices = <span class="hljs-number">4</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>first_sentence = [<span class="hljs-string">&quot;Members of the procession walk down the street holding small horn brass instruments.&quot;</span>] * num_choices
<span class="hljs-meta">&gt;&gt;&gt; </span>second_sentence = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line passes by walking down the street playing their instruments.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line has heard approaching them.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line arrives and they&#x27;re outside dancing and asleep.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line turns the lead singer watches the performance.&quot;</span>
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(first_sentence, second_sentence, truncation=<span class="hljs-literal">True</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-comment"># Unflatten the inputs values expanding it to the shape [batch_size, num_choices, seq_length]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> inputs.items():
<span class="hljs-meta">... </span>    inputs[k] = [v[i: i + num_choices] <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-built_in">len</span>(v), num_choices)]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = <span class="hljs-built_in">dict</span>(inputs.convert_to_tensors(tensor_type=<span class="hljs-string">&quot;pt&quot;</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of mutliple choice:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of mutliple choice:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function th(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function oh(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),_=p("Example of question answering:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of question answering:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function nh(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function sh(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function rh(j){let s,_,d,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of semantic segmentation:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of semantic segmentation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function ah(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function ih(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function lh(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function ph(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function mh(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function dh(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>]`}}),{c(){s=a("p"),_=p("Example of single-label classification:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of single-label classification:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function ch(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function uh(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),_=p("Example using zero-shot-classification "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using zero-shot-classification "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function hh(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function gh(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function fh(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoProcessor, pipeline
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function _h(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function $h(j){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">9</span>]`}}),{c(){s=a("p"),_=p("Example of token classification:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of token classification:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(O(u.$$.fragment,n),f=!0)},o(n){y(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),M(u,n)}}}function vh(j){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(O(r.$$.fragment,c),w=!0)},o(c){y(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),M(r,c)}}}function kh(j){let s,_,d,u,f,n,r,w,c,v,E,tt,qn,no,Da,jn,La,Ir,F,so,Xa,En,Ua,Wa,ro,Qa,Rn,Ha,Va,Ba,Fn,Ga,Ja,ao,de,Ya,Cn,Ka,Za,Sn,ei,ti,zn,oi,ni,si,ce,ri,Pn,ai,ii,Nn,li,pi,An,mi,di,ci,In,ui,hi,te,io,gi,Dn,fi,_i,$i,lo,vi,po,ki,wi,xi,oe,Ti,Ln,bi,Oi,Xn,yi,Mi,Un,qi,ji,Wn,Ei,Ri,Fi,mo,Ci,Qn,Si,zi,Pi,Hn,Ni,Ai,ot,co,Ii,Vn,Di,Li,nt,uo,Xi,ho,Ui,Bn,Wi,Qi,Hi,st,go,Vi,Gn,Bi,Gi,rt,fo,Ji,Jn,Yi,Dr,Ce,at,Yn,_o,Ki,Kn,Zi,Lr,ne,$o,el,Zn,tl,ol,it,vo,nl,ko,sl,es,rl,al,il,H,wo,ll,Se,pl,ts,ml,dl,os,cl,ul,hl,lt,gl,pt,fl,mt,Xr,ze,dt,ns,xo,_l,ss,$l,Ur,A,To,vl,rs,kl,wl,bo,xl,as,Tl,bl,Ol,is,yl,Ml,V,Oo,ql,Pe,jl,ls,El,Rl,ps,Fl,Cl,Sl,ct,zl,ut,Pl,ht,Wr,Ne,gt,ms,yo,Nl,ds,Al,Qr,I,Mo,Il,cs,Dl,Ll,qo,Xl,us,Ul,Wl,Ql,hs,Hl,Vl,B,jo,Bl,Ae,Gl,gs,Jl,Yl,fs,Kl,Zl,ep,ft,tp,_t,op,$t,Hr,Ie,vt,_s,Eo,np,$s,sp,Vr,D,Ro,rp,vs,ap,ip,Fo,lp,ks,pp,mp,dp,ws,cp,up,G,Co,hp,De,gp,xs,fp,_p,Ts,$p,vp,kp,kt,wp,wt,xp,xt,Br,Le,Tt,bs,So,Tp,Os,bp,Gr,L,zo,Op,ys,yp,Mp,Po,qp,Ms,jp,Ep,Rp,qs,Fp,Cp,pe,No,Sp,Xe,zp,js,Pp,Np,Es,Ap,Ip,Dp,bt,Lp,Ot,Jr,Ue,yt,Rs,Ao,Xp,Fs,Up,Yr,X,Io,Wp,Cs,Qp,Hp,Do,Vp,Ss,Bp,Gp,Jp,zs,Yp,Kp,J,Lo,Zp,We,em,Ps,tm,om,Ns,nm,sm,rm,Mt,am,qt,im,jt,Kr,Qe,Et,As,Xo,lm,Is,pm,Zr,U,Uo,mm,Ds,dm,cm,Wo,um,Ls,hm,gm,fm,Xs,_m,$m,Y,Qo,vm,He,km,Us,wm,xm,Ws,Tm,bm,Om,Rt,ym,Ft,Mm,Ct,ea,Ve,St,Qs,Ho,qm,Hs,jm,ta,se,Vo,Em,Vs,Rm,Fm,zt,Bo,Cm,Go,Sm,Bs,zm,Pm,Nm,K,Jo,Am,Be,Im,Gs,Dm,Lm,Js,Xm,Um,Wm,Pt,Qm,Nt,Hm,At,oa,Ge,It,Ys,Yo,Vm,Ks,Bm,na,W,Ko,Gm,Zs,Jm,Ym,Zo,Km,er,Zm,ed,td,tr,od,nd,N,en,sd,Je,rd,or,ad,id,nr,ld,pd,md,Dt,dd,Lt,cd,Xt,ud,Ut,sa,Ye,Wt,sr,tn,hd,rr,gd,ra,re,on,fd,ar,_d,$d,Qt,nn,vd,sn,kd,ir,wd,xd,Td,Z,rn,bd,Ke,Od,lr,yd,Md,pr,qd,jd,Ed,Ht,Rd,Vt,Fd,Bt,aa,Ze,Gt,mr,an,Cd,dr,Sd,ia,Q,ln,zd,cr,Pd,Nd,pn,Ad,ur,Id,Dd,Ld,hr,Xd,Ud,ee,mn,Wd,et,Qd,gr,Hd,Vd,fr,Bd,Gd,Jd,Jt,Yd,Yt,Kd,Kt,la;return n=new le({}),no=new le({}),so=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L127"}}),co=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, defaults to <code>None</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only",description:`<strong>local_files_only</strong> (<code>Optional[bool]</code>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling. This option should only be set
to <code>True</code> for repositories you trust and in which you have read the code, as it will execute code present on
the Hub on your local machine.`,name:"trust_remote_code"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L569",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),uo=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L299"}}),go=new R({props:{name:"shared_attributes_init",anchor:"optimum.onnxruntime.ORTModel.shared_attributes_init",parameters:[{name:"model",val:": InferenceSession"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L167"}}),fo=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L266",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),_o=new le({}),$o=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L525"}}),vo=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForCausalLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L584"}}),wo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L533"}}),lt=new ge({props:{$$slots:{default:[Lu]},$$scope:{ctx:j}}}),pt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Xu]},$$scope:{ctx:j}}}),mt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Uu]},$$scope:{ctx:j}}}),xo=new le({}),To=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1481"}}),Oo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1486"}}),ct=new ge({props:{$$slots:{default:[Wu]},$$scope:{ctx:j}}}),ut=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Qu]},$$scope:{ctx:j}}}),ht=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Hu]},$$scope:{ctx:j}}}),yo=new le({}),Mo=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L799"}}),jo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L806"}}),ft=new ge({props:{$$slots:{default:[Vu]},$$scope:{ctx:j}}}),_t=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[Bu]},$$scope:{ctx:j}}}),$t=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[Gu]},$$scope:{ctx:j}}}),Eo=new le({}),Ro=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1293"}}),Co=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1300"}}),kt=new ge({props:{$$slots:{default:[Ju]},$$scope:{ctx:j}}}),wt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[Yu]},$$scope:{ctx:j}}}),xt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[Ku]},$$scope:{ctx:j}}}),So=new le({}),zo=new R({props:{name:"class optimum.onnxruntime.ORTModelForMultipleChoice",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1197"}}),No=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1204"}}),bt=new ge({props:{$$slots:{default:[Zu]},$$scope:{ctx:j}}}),Ot=new S({props:{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.example",$$slots:{default:[eh]},$$scope:{ctx:j}}}),Ao=new le({}),Io=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L894"}}),Lo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L901"}}),Mt=new ge({props:{$$slots:{default:[th]},$$scope:{ctx:j}}}),qt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[oh]},$$scope:{ctx:j}}}),jt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[nh]},$$scope:{ctx:j}}}),Xo=new le({}),Uo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1382"}}),Qo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1389"}}),Rt=new ge({props:{$$slots:{default:[sh]},$$scope:{ctx:j}}}),Ft=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[rh]},$$scope:{ctx:j}}}),Ct=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[ah]},$$scope:{ctx:j}}}),Ho=new le({}),Vo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L742"}}),Bo=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L837"}}),Jo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L753"}}),Pt=new ge({props:{$$slots:{default:[ih]},$$scope:{ctx:j}}}),Nt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[lh]},$$scope:{ctx:j}}}),At=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[ph]},$$scope:{ctx:j}}}),Yo=new le({}),Ko=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1010"}}),en=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1017"}}),Dt=new ge({props:{$$slots:{default:[mh]},$$scope:{ctx:j}}}),Lt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[dh]},$$scope:{ctx:j}}}),Xt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[ch]},$$scope:{ctx:j}}}),Ut=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[uh]},$$scope:{ctx:j}}}),tn=new le({}),on=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L842"}}),nn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L942"}}),rn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L863"}}),Ht=new ge({props:{$$slots:{default:[hh]},$$scope:{ctx:j}}}),Vt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[gh]},$$scope:{ctx:j}}}),Bt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[fh]},$$scope:{ctx:j}}}),an=new le({}),ln=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1106"}}),mn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1113"}}),Jt=new ge({props:{$$slots:{default:[_h]},$$scope:{ctx:j}}}),Yt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[$h]},$$scope:{ctx:j}}}),Kt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[vh]},$$scope:{ctx:j}}}),{c(){s=a("meta"),_=h(),d=a("h1"),u=a("a"),f=a("span"),x(n.$$.fragment),r=h(),w=a("span"),c=p("Models"),v=h(),E=a("h2"),tt=a("a"),qn=a("span"),x(no.$$.fragment),Da=h(),jn=a("span"),La=p("ORTModel"),Ir=h(),F=a("div"),x(so.$$.fragment),Xa=h(),En=a("p"),Ua=p("Base class for implementing models using ONNX Runtime."),Wa=h(),ro=a("p"),Qa=p(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Rn=a("code"),Ha=p("optimum.exporters.onnx"),Va=p(" toolchain."),Ba=h(),Fn=a("p"),Ga=p("Class attributes:"),Ja=h(),ao=a("ul"),de=a("li"),Ya=p("model_type ("),Cn=a("code"),Ka=p("str"),Za=p(", "),Sn=a("em"),ei=p("optional"),ti=p(", defaults to "),zn=a("code"),oi=p('"onnx_model"'),ni=p(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),si=h(),ce=a("li"),ri=p("auto_model_class ("),Pn=a("code"),ai=p("Type"),ii=p(", "),Nn=a("em"),li=p("optional"),pi=p(", defaults to "),An=a("code"),mi=p("AutoModel"),di=p(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),ci=h(),In=a("p"),ui=p("Common attributes:"),hi=h(),te=a("ul"),io=a("li"),gi=p("model ("),Dn=a("code"),fi=p("ort.InferenceSession"),_i=p(") \u2014 The ONNX Runtime InferenceSession that is running the model."),$i=h(),lo=a("li"),vi=p("config ("),po=a("a"),ki=p("PretrainedConfig"),wi=p(" \u2014 The configuration of the model."),xi=h(),oe=a("li"),Ti=p("use_io_binding ("),Ln=a("code"),bi=p("bool"),Oi=p(", "),Xn=a("em"),yi=p("optional"),Mi=p(", defaults to "),Un=a("code"),qi=p("True"),ji=p(") \u2014 Whether to use I/O bindings with "),Wn=a("strong"),Ei=p(`ONNX Runtime
with the CUDAExecutionProvider`),Ri=p(", this can significantly speedup inference depending on the task."),Fi=h(),mo=a("li"),Ci=p("model_save_dir ("),Qn=a("code"),Si=p("Path"),zi=p(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Pi=h(),Hn=a("li"),Ni=p("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Ai=h(),ot=a("div"),x(co.$$.fragment),Ii=h(),Vn=a("p"),Di=p("Instantiate a pretrained model from a pre-trained model configuration."),Li=h(),nt=a("div"),x(uo.$$.fragment),Xi=h(),ho=a("p"),Ui=p("Loads an ONNX Inference session with a given provider. Default provider is "),Bn=a("code"),Wi=p("CPUExecutionProvider"),Qi=p(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Hi=h(),st=a("div"),x(go.$$.fragment),Vi=h(),Gn=a("p"),Bi=p("Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),Gi=h(),rt=a("div"),x(fo.$$.fragment),Ji=h(),Jn=a("p"),Yi=p("Changes the ONNX Runtime provider according to the device."),Dr=h(),Ce=a("h2"),at=a("a"),Yn=a("span"),x(_o.$$.fragment),Ki=h(),Kn=a("span"),Zi=p("ORTModelForCausalLM"),Lr=h(),ne=a("div"),x($o.$$.fragment),el=h(),Zn=a("p"),tl=p("ONNX model with a causal language modeling head for ONNX Runtime inference."),ol=h(),it=a("div"),x(vo.$$.fragment),nl=h(),ko=a("p"),sl=p("Returns True to validate the check that the model using "),es=a("code"),rl=p("GenerationMixin.generate()"),al=p(" can indeed generate."),il=h(),H=a("div"),x(wo.$$.fragment),ll=h(),Se=a("p"),pl=p("The "),ts=a("code"),ml=p("ORTModelForCausalLM"),dl=p(" forward method, overrides the "),os=a("code"),cl=p("__call__"),ul=p(" special method."),hl=h(),x(lt.$$.fragment),gl=h(),x(pt.$$.fragment),fl=h(),x(mt.$$.fragment),Xr=h(),ze=a("h2"),dt=a("a"),ns=a("span"),x(xo.$$.fragment),_l=h(),ss=a("span"),$l=p("ORTModelForCustomTasks"),Ur=h(),A=a("div"),x(To.$$.fragment),vl=h(),rs=a("p"),kl=p("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),wl=h(),bo=a("p"),xl=p("This model inherits from [~"),as=a("code"),Tl=p("onnxruntime.modeling_ort.ORTModel"),bl=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ol=h(),is=a("p"),yl=p("Model for any custom tasks if the ONNX model is stored in a single file."),Ml=h(),V=a("div"),x(Oo.$$.fragment),ql=h(),Pe=a("p"),jl=p("The "),ls=a("code"),El=p("ORTModelForCustomTasks"),Rl=p(" forward method, overrides the "),ps=a("code"),Fl=p("__call__"),Cl=p(" special method."),Sl=h(),x(ct.$$.fragment),zl=h(),x(ut.$$.fragment),Pl=h(),x(ht.$$.fragment),Wr=h(),Ne=a("h2"),gt=a("a"),ms=a("span"),x(yo.$$.fragment),Nl=h(),ds=a("span"),Al=p("ORTModelForFeatureExtraction"),Qr=h(),I=a("div"),x(Mo.$$.fragment),Il=h(),cs=a("p"),Dl=p("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Ll=h(),qo=a("p"),Xl=p("This model inherits from [~"),us=a("code"),Ul=p("onnxruntime.modeling_ort.ORTModel"),Wl=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ql=h(),hs=a("p"),Hl=p("Feature Extraction model for ONNX."),Vl=h(),B=a("div"),x(jo.$$.fragment),Bl=h(),Ae=a("p"),Gl=p("The "),gs=a("code"),Jl=p("ORTModelForFeatureExtraction"),Yl=p(" forward method, overrides the "),fs=a("code"),Kl=p("__call__"),Zl=p(" special method."),ep=h(),x(ft.$$.fragment),tp=h(),x(_t.$$.fragment),op=h(),x($t.$$.fragment),Hr=h(),Ie=a("h2"),vt=a("a"),_s=a("span"),x(Eo.$$.fragment),np=h(),$s=a("span"),sp=p("ORTModelForImageClassification"),Vr=h(),D=a("div"),x(Ro.$$.fragment),rp=h(),vs=a("p"),ap=p("Onnx Model for image-classification tasks."),ip=h(),Fo=a("p"),lp=p("This model inherits from [~"),ks=a("code"),pp=p("onnxruntime.modeling_ort.ORTModel"),mp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),dp=h(),ws=a("p"),cp=p("Image Classification model for ONNX."),up=h(),G=a("div"),x(Co.$$.fragment),hp=h(),De=a("p"),gp=p("The "),xs=a("code"),fp=p("ORTModelForImageClassification"),_p=p(" forward method, overrides the "),Ts=a("code"),$p=p("__call__"),vp=p(" special method."),kp=h(),x(kt.$$.fragment),wp=h(),x(wt.$$.fragment),xp=h(),x(xt.$$.fragment),Br=h(),Le=a("h2"),Tt=a("a"),bs=a("span"),x(So.$$.fragment),Tp=h(),Os=a("span"),bp=p("ORTModelForMultipleChoice"),Gr=h(),L=a("div"),x(zo.$$.fragment),Op=h(),ys=a("p"),yp=p(`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Mp=h(),Po=a("p"),qp=p("This model inherits from [~"),Ms=a("code"),jp=p("onnxruntime.modeling_ort.ORTModel"),Ep=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rp=h(),qs=a("p"),Fp=p("Multiple choice model for ONNX."),Cp=h(),pe=a("div"),x(No.$$.fragment),Sp=h(),Xe=a("p"),zp=p("The "),js=a("code"),Pp=p("ORTModelForMultipleChoice"),Np=p(" forward method, overrides the "),Es=a("code"),Ap=p("__call__"),Ip=p(" special method."),Dp=h(),x(bt.$$.fragment),Lp=h(),x(Ot.$$.fragment),Jr=h(),Ue=a("h2"),yt=a("a"),Rs=a("span"),x(Ao.$$.fragment),Xp=h(),Fs=a("span"),Up=p("ORTModelForQuestionAnswering"),Yr=h(),X=a("div"),x(Io.$$.fragment),Wp=h(),Cs=a("p"),Qp=p("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Hp=h(),Do=a("p"),Vp=p("This model inherits from [~"),Ss=a("code"),Bp=p("onnxruntime.modeling_ort.ORTModel"),Gp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Jp=h(),zs=a("p"),Yp=p("Question Answering model for ONNX."),Kp=h(),J=a("div"),x(Lo.$$.fragment),Zp=h(),We=a("p"),em=p("The "),Ps=a("code"),tm=p("ORTModelForQuestionAnswering"),om=p(" forward method, overrides the "),Ns=a("code"),nm=p("__call__"),sm=p(" special method."),rm=h(),x(Mt.$$.fragment),am=h(),x(qt.$$.fragment),im=h(),x(jt.$$.fragment),Kr=h(),Qe=a("h2"),Et=a("a"),As=a("span"),x(Xo.$$.fragment),lm=h(),Is=a("span"),pm=p("ORTModelForSemanticSegmentation"),Zr=h(),U=a("div"),x(Uo.$$.fragment),mm=h(),Ds=a("p"),dm=p("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),cm=h(),Wo=a("p"),um=p("This model inherits from [~"),Ls=a("code"),hm=p("onnxruntime.modeling_ort.ORTModel"),gm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),fm=h(),Xs=a("p"),_m=p("Semantic Segmentation model for ONNX."),$m=h(),Y=a("div"),x(Qo.$$.fragment),vm=h(),He=a("p"),km=p("The "),Us=a("code"),wm=p("ORTModelForSemanticSegmentation"),xm=p(" forward method, overrides the "),Ws=a("code"),Tm=p("__call__"),bm=p(" special method."),Om=h(),x(Rt.$$.fragment),ym=h(),x(Ft.$$.fragment),Mm=h(),x(Ct.$$.fragment),ea=h(),Ve=a("h2"),St=a("a"),Qs=a("span"),x(Ho.$$.fragment),qm=h(),Hs=a("span"),jm=p("ORTModelForSeq2SeqLM"),ta=h(),se=a("div"),x(Vo.$$.fragment),Em=h(),Vs=a("p"),Rm=p("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Fm=h(),zt=a("div"),x(Bo.$$.fragment),Cm=h(),Go=a("p"),Sm=p("Returns True to validate the check that the model using "),Bs=a("code"),zm=p("GenerationMixin.generate()"),Pm=p(" can indeed generate."),Nm=h(),K=a("div"),x(Jo.$$.fragment),Am=h(),Be=a("p"),Im=p("The "),Gs=a("code"),Dm=p("ORTModelForSeq2SeqLM"),Lm=p(" forward method, overrides the "),Js=a("code"),Xm=p("__call__"),Um=p(" special method."),Wm=h(),x(Pt.$$.fragment),Qm=h(),x(Nt.$$.fragment),Hm=h(),x(At.$$.fragment),oa=h(),Ge=a("h2"),It=a("a"),Ys=a("span"),x(Yo.$$.fragment),Vm=h(),Ks=a("span"),Bm=p("ORTModelForSequenceClassification"),na=h(),W=a("div"),x(Ko.$$.fragment),Gm=h(),Zs=a("p"),Jm=p(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Ym=h(),Zo=a("p"),Km=p("This model inherits from [~"),er=a("code"),Zm=p("onnxruntime.modeling_ort.ORTModel"),ed=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),td=h(),tr=a("p"),od=p("Sequence Classification model for ONNX."),nd=h(),N=a("div"),x(en.$$.fragment),sd=h(),Je=a("p"),rd=p("The "),or=a("code"),ad=p("ORTModelForSequenceClassification"),id=p(" forward method, overrides the "),nr=a("code"),ld=p("__call__"),pd=p(" special method."),md=h(),x(Dt.$$.fragment),dd=h(),x(Lt.$$.fragment),cd=h(),x(Xt.$$.fragment),ud=h(),x(Ut.$$.fragment),sa=h(),Ye=a("h2"),Wt=a("a"),sr=a("span"),x(tn.$$.fragment),hd=h(),rr=a("span"),gd=p("ORTModelForSpeechSeq2Seq"),ra=h(),re=a("div"),x(on.$$.fragment),fd=h(),ar=a("p"),_d=p("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),$d=h(),Qt=a("div"),x(nn.$$.fragment),vd=h(),sn=a("p"),kd=p("Returns True to validate the check that the model using "),ir=a("code"),wd=p("GenerationMixin.generate()"),xd=p(" can indeed generate."),Td=h(),Z=a("div"),x(rn.$$.fragment),bd=h(),Ke=a("p"),Od=p("The "),lr=a("code"),yd=p("ORTModelForSpeechSeq2Seq"),Md=p(" forward method, overrides the "),pr=a("code"),qd=p("__call__"),jd=p(" special method."),Ed=h(),x(Ht.$$.fragment),Rd=h(),x(Vt.$$.fragment),Fd=h(),x(Bt.$$.fragment),aa=h(),Ze=a("h2"),Gt=a("a"),mr=a("span"),x(an.$$.fragment),Cd=h(),dr=a("span"),Sd=p("ORTModelForTokenClassification"),ia=h(),Q=a("div"),x(ln.$$.fragment),zd=h(),cr=a("p"),Pd=p(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Nd=h(),pn=a("p"),Ad=p("This model inherits from [~"),ur=a("code"),Id=p("onnxruntime.modeling_ort.ORTModel"),Dd=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ld=h(),hr=a("p"),Xd=p("Token Classification model for ONNX."),Ud=h(),ee=a("div"),x(mn.$$.fragment),Wd=h(),et=a("p"),Qd=p("The "),gr=a("code"),Hd=p("ORTModelForTokenClassification"),Vd=p(" forward method, overrides the "),fr=a("code"),Bd=p("__call__"),Gd=p(" special method."),Jd=h(),x(Jt.$$.fragment),Yd=h(),x(Yt.$$.fragment),Kd=h(),x(Kt.$$.fragment),this.h()},l(o){const $=Iu('[data-svelte="svelte-1phssyn"]',document.head);s=i($,"META",{name:!0,content:!0}),$.forEach(t),_=g(o),d=i(o,"H1",{class:!0});var dn=l(d);u=i(dn,"A",{id:!0,class:!0,href:!0});var _r=l(u);f=i(_r,"SPAN",{});var $r=l(f);T(n.$$.fragment,$r),$r.forEach(t),_r.forEach(t),r=g(dn),w=i(dn,"SPAN",{});var vr=l(w);c=m(vr,"Models"),vr.forEach(t),dn.forEach(t),v=g(o),E=i(o,"H2",{class:!0});var cn=l(E);tt=i(cn,"A",{id:!0,class:!0,href:!0});var kr=l(tt);qn=i(kr,"SPAN",{});var wr=l(qn);T(no.$$.fragment,wr),wr.forEach(t),kr.forEach(t),Da=g(cn),jn=i(cn,"SPAN",{});var xr=l(jn);La=m(xr,"ORTModel"),xr.forEach(t),cn.forEach(t),Ir=g(o),F=i(o,"DIV",{class:!0});var C=l(F);T(so.$$.fragment,C),Xa=g(C),En=i(C,"P",{});var Tr=l(En);Ua=m(Tr,"Base class for implementing models using ONNX Runtime."),Tr.forEach(t),Wa=g(C),ro=i(C,"P",{});var un=l(ro);Qa=m(un,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Rn=i(un,"CODE",{});var br=l(Rn);Ha=m(br,"optimum.exporters.onnx"),br.forEach(t),Va=m(un," toolchain."),un.forEach(t),Ba=g(C),Fn=i(C,"P",{});var Or=l(Fn);Ga=m(Or,"Class attributes:"),Or.forEach(t),Ja=g(C),ao=i(C,"UL",{});var hn=l(ao);de=i(hn,"LI",{});var ue=l(de);Ya=m(ue,"model_type ("),Cn=i(ue,"CODE",{});var yr=l(Cn);Ka=m(yr,"str"),yr.forEach(t),Za=m(ue,", "),Sn=i(ue,"EM",{});var Mr=l(Sn);ei=m(Mr,"optional"),Mr.forEach(t),ti=m(ue,", defaults to "),zn=i(ue,"CODE",{});var qr=l(zn);oi=m(qr,'"onnx_model"'),qr.forEach(t),ni=m(ue,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),ue.forEach(t),si=g(hn),ce=i(hn,"LI",{});var he=l(ce);ri=m(he,"auto_model_class ("),Pn=i(he,"CODE",{});var jr=l(Pn);ai=m(jr,"Type"),jr.forEach(t),ii=m(he,", "),Nn=i(he,"EM",{});var Er=l(Nn);li=m(Er,"optional"),Er.forEach(t),pi=m(he,", defaults to "),An=i(he,"CODE",{});var Rr=l(An);mi=m(Rr,"AutoModel"),Rr.forEach(t),di=m(he,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),he.forEach(t),hn.forEach(t),ci=g(C),In=i(C,"P",{});var Fr=l(In);ui=m(Fr,"Common attributes:"),Fr.forEach(t),hi=g(C),te=i(C,"UL",{});var ae=l(te);io=i(ae,"LI",{});var gn=l(io);gi=m(gn,"model ("),Dn=i(gn,"CODE",{});var Cr=l(Dn);fi=m(Cr,"ort.InferenceSession"),Cr.forEach(t),_i=m(gn,") \u2014 The ONNX Runtime InferenceSession that is running the model."),gn.forEach(t),$i=g(ae),lo=i(ae,"LI",{});var fn=l(lo);vi=m(fn,"config ("),po=i(fn,"A",{href:!0,rel:!0});var Sr=l(po);ki=m(Sr,"PretrainedConfig"),Sr.forEach(t),wi=m(fn," \u2014 The configuration of the model."),fn.forEach(t),xi=g(ae),oe=i(ae,"LI",{});var ie=l(oe);Ti=m(ie,"use_io_binding ("),Ln=i(ie,"CODE",{});var zr=l(Ln);bi=m(zr,"bool"),zr.forEach(t),Oi=m(ie,", "),Xn=i(ie,"EM",{});var Pr=l(Xn);yi=m(Pr,"optional"),Pr.forEach(t),Mi=m(ie,", defaults to "),Un=i(ie,"CODE",{});var Nr=l(Un);qi=m(Nr,"True"),Nr.forEach(t),ji=m(ie,") \u2014 Whether to use I/O bindings with "),Wn=i(ie,"STRONG",{});var Ar=l(Wn);Ei=m(Ar,`ONNX Runtime
with the CUDAExecutionProvider`),Ar.forEach(t),Ri=m(ie,", this can significantly speedup inference depending on the task."),ie.forEach(t),Fi=g(ae),mo=i(ae,"LI",{});var pa=l(mo);Ci=m(pa,"model_save_dir ("),Qn=i(pa,"CODE",{});var Zd=l(Qn);Si=m(Zd,"Path"),Zd.forEach(t),zi=m(pa,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),pa.forEach(t),Pi=g(ae),Hn=i(ae,"LI",{});var ec=l(Hn);Ni=m(ec,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),ec.forEach(t),ae.forEach(t),Ai=g(C),ot=i(C,"DIV",{class:!0});var ma=l(ot);T(co.$$.fragment,ma),Ii=g(ma),Vn=i(ma,"P",{});var tc=l(Vn);Di=m(tc,"Instantiate a pretrained model from a pre-trained model configuration."),tc.forEach(t),ma.forEach(t),Li=g(C),nt=i(C,"DIV",{class:!0});var da=l(nt);T(uo.$$.fragment,da),Xi=g(da),ho=i(da,"P",{});var ca=l(ho);Ui=m(ca,"Loads an ONNX Inference session with a given provider. Default provider is "),Bn=i(ca,"CODE",{});var oc=l(Bn);Wi=m(oc,"CPUExecutionProvider"),oc.forEach(t),Qi=m(ca,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),ca.forEach(t),da.forEach(t),Hi=g(C),st=i(C,"DIV",{class:!0});var ua=l(st);T(go.$$.fragment,ua),Vi=g(ua),Gn=i(ua,"P",{});var nc=l(Gn);Bi=m(nc,"Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),nc.forEach(t),ua.forEach(t),Gi=g(C),rt=i(C,"DIV",{class:!0});var ha=l(rt);T(fo.$$.fragment,ha),Ji=g(ha),Jn=i(ha,"P",{});var sc=l(Jn);Yi=m(sc,"Changes the ONNX Runtime provider according to the device."),sc.forEach(t),ha.forEach(t),C.forEach(t),Dr=g(o),Ce=i(o,"H2",{class:!0});var ga=l(Ce);at=i(ga,"A",{id:!0,class:!0,href:!0});var rc=l(at);Yn=i(rc,"SPAN",{});var ac=l(Yn);T(_o.$$.fragment,ac),ac.forEach(t),rc.forEach(t),Ki=g(ga),Kn=i(ga,"SPAN",{});var ic=l(Kn);Zi=m(ic,"ORTModelForCausalLM"),ic.forEach(t),ga.forEach(t),Lr=g(o),ne=i(o,"DIV",{class:!0});var Zt=l(ne);T($o.$$.fragment,Zt),el=g(Zt),Zn=i(Zt,"P",{});var lc=l(Zn);tl=m(lc,"ONNX model with a causal language modeling head for ONNX Runtime inference."),lc.forEach(t),ol=g(Zt),it=i(Zt,"DIV",{class:!0});var fa=l(it);T(vo.$$.fragment,fa),nl=g(fa),ko=i(fa,"P",{});var _a=l(ko);sl=m(_a,"Returns True to validate the check that the model using "),es=i(_a,"CODE",{});var pc=l(es);rl=m(pc,"GenerationMixin.generate()"),pc.forEach(t),al=m(_a," can indeed generate."),_a.forEach(t),fa.forEach(t),il=g(Zt),H=i(Zt,"DIV",{class:!0});var fe=l(H);T(wo.$$.fragment,fe),ll=g(fe),Se=i(fe,"P",{});var _n=l(Se);pl=m(_n,"The "),ts=i(_n,"CODE",{});var mc=l(ts);ml=m(mc,"ORTModelForCausalLM"),mc.forEach(t),dl=m(_n," forward method, overrides the "),os=i(_n,"CODE",{});var dc=l(os);cl=m(dc,"__call__"),dc.forEach(t),ul=m(_n," special method."),_n.forEach(t),hl=g(fe),T(lt.$$.fragment,fe),gl=g(fe),T(pt.$$.fragment,fe),fl=g(fe),T(mt.$$.fragment,fe),fe.forEach(t),Zt.forEach(t),Xr=g(o),ze=i(o,"H2",{class:!0});var $a=l(ze);dt=i($a,"A",{id:!0,class:!0,href:!0});var cc=l(dt);ns=i(cc,"SPAN",{});var uc=l(ns);T(xo.$$.fragment,uc),uc.forEach(t),cc.forEach(t),_l=g($a),ss=i($a,"SPAN",{});var hc=l(ss);$l=m(hc,"ORTModelForCustomTasks"),hc.forEach(t),$a.forEach(t),Ur=g(o),A=i(o,"DIV",{class:!0});var _e=l(A);T(To.$$.fragment,_e),vl=g(_e),rs=i(_e,"P",{});var gc=l(rs);kl=m(gc,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),gc.forEach(t),wl=g(_e),bo=i(_e,"P",{});var va=l(bo);xl=m(va,"This model inherits from [~"),as=i(va,"CODE",{});var fc=l(as);Tl=m(fc,"onnxruntime.modeling_ort.ORTModel"),fc.forEach(t),bl=m(va,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),va.forEach(t),Ol=g(_e),is=i(_e,"P",{});var _c=l(is);yl=m(_c,"Model for any custom tasks if the ONNX model is stored in a single file."),_c.forEach(t),Ml=g(_e),V=i(_e,"DIV",{class:!0});var $e=l(V);T(Oo.$$.fragment,$e),ql=g($e),Pe=i($e,"P",{});var $n=l(Pe);jl=m($n,"The "),ls=i($n,"CODE",{});var $c=l(ls);El=m($c,"ORTModelForCustomTasks"),$c.forEach(t),Rl=m($n," forward method, overrides the "),ps=i($n,"CODE",{});var vc=l(ps);Fl=m(vc,"__call__"),vc.forEach(t),Cl=m($n," special method."),$n.forEach(t),Sl=g($e),T(ct.$$.fragment,$e),zl=g($e),T(ut.$$.fragment,$e),Pl=g($e),T(ht.$$.fragment,$e),$e.forEach(t),_e.forEach(t),Wr=g(o),Ne=i(o,"H2",{class:!0});var ka=l(Ne);gt=i(ka,"A",{id:!0,class:!0,href:!0});var kc=l(gt);ms=i(kc,"SPAN",{});var wc=l(ms);T(yo.$$.fragment,wc),wc.forEach(t),kc.forEach(t),Nl=g(ka),ds=i(ka,"SPAN",{});var xc=l(ds);Al=m(xc,"ORTModelForFeatureExtraction"),xc.forEach(t),ka.forEach(t),Qr=g(o),I=i(o,"DIV",{class:!0});var ve=l(I);T(Mo.$$.fragment,ve),Il=g(ve),cs=i(ve,"P",{});var Tc=l(cs);Dl=m(Tc,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),Tc.forEach(t),Ll=g(ve),qo=i(ve,"P",{});var wa=l(qo);Xl=m(wa,"This model inherits from [~"),us=i(wa,"CODE",{});var bc=l(us);Ul=m(bc,"onnxruntime.modeling_ort.ORTModel"),bc.forEach(t),Wl=m(wa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),wa.forEach(t),Ql=g(ve),hs=i(ve,"P",{});var Oc=l(hs);Hl=m(Oc,"Feature Extraction model for ONNX."),Oc.forEach(t),Vl=g(ve),B=i(ve,"DIV",{class:!0});var ke=l(B);T(jo.$$.fragment,ke),Bl=g(ke),Ae=i(ke,"P",{});var vn=l(Ae);Gl=m(vn,"The "),gs=i(vn,"CODE",{});var yc=l(gs);Jl=m(yc,"ORTModelForFeatureExtraction"),yc.forEach(t),Yl=m(vn," forward method, overrides the "),fs=i(vn,"CODE",{});var Mc=l(fs);Kl=m(Mc,"__call__"),Mc.forEach(t),Zl=m(vn," special method."),vn.forEach(t),ep=g(ke),T(ft.$$.fragment,ke),tp=g(ke),T(_t.$$.fragment,ke),op=g(ke),T($t.$$.fragment,ke),ke.forEach(t),ve.forEach(t),Hr=g(o),Ie=i(o,"H2",{class:!0});var xa=l(Ie);vt=i(xa,"A",{id:!0,class:!0,href:!0});var qc=l(vt);_s=i(qc,"SPAN",{});var jc=l(_s);T(Eo.$$.fragment,jc),jc.forEach(t),qc.forEach(t),np=g(xa),$s=i(xa,"SPAN",{});var Ec=l($s);sp=m(Ec,"ORTModelForImageClassification"),Ec.forEach(t),xa.forEach(t),Vr=g(o),D=i(o,"DIV",{class:!0});var we=l(D);T(Ro.$$.fragment,we),rp=g(we),vs=i(we,"P",{});var Rc=l(vs);ap=m(Rc,"Onnx Model for image-classification tasks."),Rc.forEach(t),ip=g(we),Fo=i(we,"P",{});var Ta=l(Fo);lp=m(Ta,"This model inherits from [~"),ks=i(Ta,"CODE",{});var Fc=l(ks);pp=m(Fc,"onnxruntime.modeling_ort.ORTModel"),Fc.forEach(t),mp=m(Ta,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ta.forEach(t),dp=g(we),ws=i(we,"P",{});var Cc=l(ws);cp=m(Cc,"Image Classification model for ONNX."),Cc.forEach(t),up=g(we),G=i(we,"DIV",{class:!0});var xe=l(G);T(Co.$$.fragment,xe),hp=g(xe),De=i(xe,"P",{});var kn=l(De);gp=m(kn,"The "),xs=i(kn,"CODE",{});var Sc=l(xs);fp=m(Sc,"ORTModelForImageClassification"),Sc.forEach(t),_p=m(kn," forward method, overrides the "),Ts=i(kn,"CODE",{});var zc=l(Ts);$p=m(zc,"__call__"),zc.forEach(t),vp=m(kn," special method."),kn.forEach(t),kp=g(xe),T(kt.$$.fragment,xe),wp=g(xe),T(wt.$$.fragment,xe),xp=g(xe),T(xt.$$.fragment,xe),xe.forEach(t),we.forEach(t),Br=g(o),Le=i(o,"H2",{class:!0});var ba=l(Le);Tt=i(ba,"A",{id:!0,class:!0,href:!0});var Pc=l(Tt);bs=i(Pc,"SPAN",{});var Nc=l(bs);T(So.$$.fragment,Nc),Nc.forEach(t),Pc.forEach(t),Tp=g(ba),Os=i(ba,"SPAN",{});var Ac=l(Os);bp=m(Ac,"ORTModelForMultipleChoice"),Ac.forEach(t),ba.forEach(t),Gr=g(o),L=i(o,"DIV",{class:!0});var Te=l(L);T(zo.$$.fragment,Te),Op=g(Te),ys=i(Te,"P",{});var Ic=l(ys);yp=m(Ic,`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Ic.forEach(t),Mp=g(Te),Po=i(Te,"P",{});var Oa=l(Po);qp=m(Oa,"This model inherits from [~"),Ms=i(Oa,"CODE",{});var Dc=l(Ms);jp=m(Dc,"onnxruntime.modeling_ort.ORTModel"),Dc.forEach(t),Ep=m(Oa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Oa.forEach(t),Rp=g(Te),qs=i(Te,"P",{});var Lc=l(qs);Fp=m(Lc,"Multiple choice model for ONNX."),Lc.forEach(t),Cp=g(Te),pe=i(Te,"DIV",{class:!0});var eo=l(pe);T(No.$$.fragment,eo),Sp=g(eo),Xe=i(eo,"P",{});var wn=l(Xe);zp=m(wn,"The "),js=i(wn,"CODE",{});var Xc=l(js);Pp=m(Xc,"ORTModelForMultipleChoice"),Xc.forEach(t),Np=m(wn," forward method, overrides the "),Es=i(wn,"CODE",{});var Uc=l(Es);Ap=m(Uc,"__call__"),Uc.forEach(t),Ip=m(wn," special method."),wn.forEach(t),Dp=g(eo),T(bt.$$.fragment,eo),Lp=g(eo),T(Ot.$$.fragment,eo),eo.forEach(t),Te.forEach(t),Jr=g(o),Ue=i(o,"H2",{class:!0});var ya=l(Ue);yt=i(ya,"A",{id:!0,class:!0,href:!0});var Wc=l(yt);Rs=i(Wc,"SPAN",{});var Qc=l(Rs);T(Ao.$$.fragment,Qc),Qc.forEach(t),Wc.forEach(t),Xp=g(ya),Fs=i(ya,"SPAN",{});var Hc=l(Fs);Up=m(Hc,"ORTModelForQuestionAnswering"),Hc.forEach(t),ya.forEach(t),Yr=g(o),X=i(o,"DIV",{class:!0});var be=l(X);T(Io.$$.fragment,be),Wp=g(be),Cs=i(be,"P",{});var Vc=l(Cs);Qp=m(Vc,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Vc.forEach(t),Hp=g(be),Do=i(be,"P",{});var Ma=l(Do);Vp=m(Ma,"This model inherits from [~"),Ss=i(Ma,"CODE",{});var Bc=l(Ss);Bp=m(Bc,"onnxruntime.modeling_ort.ORTModel"),Bc.forEach(t),Gp=m(Ma,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ma.forEach(t),Jp=g(be),zs=i(be,"P",{});var Gc=l(zs);Yp=m(Gc,"Question Answering model for ONNX."),Gc.forEach(t),Kp=g(be),J=i(be,"DIV",{class:!0});var Oe=l(J);T(Lo.$$.fragment,Oe),Zp=g(Oe),We=i(Oe,"P",{});var xn=l(We);em=m(xn,"The "),Ps=i(xn,"CODE",{});var Jc=l(Ps);tm=m(Jc,"ORTModelForQuestionAnswering"),Jc.forEach(t),om=m(xn," forward method, overrides the "),Ns=i(xn,"CODE",{});var Yc=l(Ns);nm=m(Yc,"__call__"),Yc.forEach(t),sm=m(xn," special method."),xn.forEach(t),rm=g(Oe),T(Mt.$$.fragment,Oe),am=g(Oe),T(qt.$$.fragment,Oe),im=g(Oe),T(jt.$$.fragment,Oe),Oe.forEach(t),be.forEach(t),Kr=g(o),Qe=i(o,"H2",{class:!0});var qa=l(Qe);Et=i(qa,"A",{id:!0,class:!0,href:!0});var Kc=l(Et);As=i(Kc,"SPAN",{});var Zc=l(As);T(Xo.$$.fragment,Zc),Zc.forEach(t),Kc.forEach(t),lm=g(qa),Is=i(qa,"SPAN",{});var eu=l(Is);pm=m(eu,"ORTModelForSemanticSegmentation"),eu.forEach(t),qa.forEach(t),Zr=g(o),U=i(o,"DIV",{class:!0});var ye=l(U);T(Uo.$$.fragment,ye),mm=g(ye),Ds=i(ye,"P",{});var tu=l(Ds);dm=m(tu,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),tu.forEach(t),cm=g(ye),Wo=i(ye,"P",{});var ja=l(Wo);um=m(ja,"This model inherits from [~"),Ls=i(ja,"CODE",{});var ou=l(Ls);hm=m(ou,"onnxruntime.modeling_ort.ORTModel"),ou.forEach(t),gm=m(ja,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ja.forEach(t),fm=g(ye),Xs=i(ye,"P",{});var nu=l(Xs);_m=m(nu,"Semantic Segmentation model for ONNX."),nu.forEach(t),$m=g(ye),Y=i(ye,"DIV",{class:!0});var Me=l(Y);T(Qo.$$.fragment,Me),vm=g(Me),He=i(Me,"P",{});var Tn=l(He);km=m(Tn,"The "),Us=i(Tn,"CODE",{});var su=l(Us);wm=m(su,"ORTModelForSemanticSegmentation"),su.forEach(t),xm=m(Tn," forward method, overrides the "),Ws=i(Tn,"CODE",{});var ru=l(Ws);Tm=m(ru,"__call__"),ru.forEach(t),bm=m(Tn," special method."),Tn.forEach(t),Om=g(Me),T(Rt.$$.fragment,Me),ym=g(Me),T(Ft.$$.fragment,Me),Mm=g(Me),T(Ct.$$.fragment,Me),Me.forEach(t),ye.forEach(t),ea=g(o),Ve=i(o,"H2",{class:!0});var Ea=l(Ve);St=i(Ea,"A",{id:!0,class:!0,href:!0});var au=l(St);Qs=i(au,"SPAN",{});var iu=l(Qs);T(Ho.$$.fragment,iu),iu.forEach(t),au.forEach(t),qm=g(Ea),Hs=i(Ea,"SPAN",{});var lu=l(Hs);jm=m(lu,"ORTModelForSeq2SeqLM"),lu.forEach(t),Ea.forEach(t),ta=g(o),se=i(o,"DIV",{class:!0});var to=l(se);T(Vo.$$.fragment,to),Em=g(to),Vs=i(to,"P",{});var pu=l(Vs);Rm=m(pu,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),pu.forEach(t),Fm=g(to),zt=i(to,"DIV",{class:!0});var Ra=l(zt);T(Bo.$$.fragment,Ra),Cm=g(Ra),Go=i(Ra,"P",{});var Fa=l(Go);Sm=m(Fa,"Returns True to validate the check that the model using "),Bs=i(Fa,"CODE",{});var mu=l(Bs);zm=m(mu,"GenerationMixin.generate()"),mu.forEach(t),Pm=m(Fa," can indeed generate."),Fa.forEach(t),Ra.forEach(t),Nm=g(to),K=i(to,"DIV",{class:!0});var qe=l(K);T(Jo.$$.fragment,qe),Am=g(qe),Be=i(qe,"P",{});var bn=l(Be);Im=m(bn,"The "),Gs=i(bn,"CODE",{});var du=l(Gs);Dm=m(du,"ORTModelForSeq2SeqLM"),du.forEach(t),Lm=m(bn," forward method, overrides the "),Js=i(bn,"CODE",{});var cu=l(Js);Xm=m(cu,"__call__"),cu.forEach(t),Um=m(bn," special method."),bn.forEach(t),Wm=g(qe),T(Pt.$$.fragment,qe),Qm=g(qe),T(Nt.$$.fragment,qe),Hm=g(qe),T(At.$$.fragment,qe),qe.forEach(t),to.forEach(t),oa=g(o),Ge=i(o,"H2",{class:!0});var Ca=l(Ge);It=i(Ca,"A",{id:!0,class:!0,href:!0});var uu=l(It);Ys=i(uu,"SPAN",{});var hu=l(Ys);T(Yo.$$.fragment,hu),hu.forEach(t),uu.forEach(t),Vm=g(Ca),Ks=i(Ca,"SPAN",{});var gu=l(Ks);Bm=m(gu,"ORTModelForSequenceClassification"),gu.forEach(t),Ca.forEach(t),na=g(o),W=i(o,"DIV",{class:!0});var je=l(W);T(Ko.$$.fragment,je),Gm=g(je),Zs=i(je,"P",{});var fu=l(Zs);Jm=m(fu,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),fu.forEach(t),Ym=g(je),Zo=i(je,"P",{});var Sa=l(Zo);Km=m(Sa,"This model inherits from [~"),er=i(Sa,"CODE",{});var _u=l(er);Zm=m(_u,"onnxruntime.modeling_ort.ORTModel"),_u.forEach(t),ed=m(Sa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Sa.forEach(t),td=g(je),tr=i(je,"P",{});var $u=l(tr);od=m($u,"Sequence Classification model for ONNX."),$u.forEach(t),nd=g(je),N=i(je,"DIV",{class:!0});var me=l(N);T(en.$$.fragment,me),sd=g(me),Je=i(me,"P",{});var On=l(Je);rd=m(On,"The "),or=i(On,"CODE",{});var vu=l(or);ad=m(vu,"ORTModelForSequenceClassification"),vu.forEach(t),id=m(On," forward method, overrides the "),nr=i(On,"CODE",{});var ku=l(nr);ld=m(ku,"__call__"),ku.forEach(t),pd=m(On," special method."),On.forEach(t),md=g(me),T(Dt.$$.fragment,me),dd=g(me),T(Lt.$$.fragment,me),cd=g(me),T(Xt.$$.fragment,me),ud=g(me),T(Ut.$$.fragment,me),me.forEach(t),je.forEach(t),sa=g(o),Ye=i(o,"H2",{class:!0});var za=l(Ye);Wt=i(za,"A",{id:!0,class:!0,href:!0});var wu=l(Wt);sr=i(wu,"SPAN",{});var xu=l(sr);T(tn.$$.fragment,xu),xu.forEach(t),wu.forEach(t),hd=g(za),rr=i(za,"SPAN",{});var Tu=l(rr);gd=m(Tu,"ORTModelForSpeechSeq2Seq"),Tu.forEach(t),za.forEach(t),ra=g(o),re=i(o,"DIV",{class:!0});var oo=l(re);T(on.$$.fragment,oo),fd=g(oo),ar=i(oo,"P",{});var bu=l(ar);_d=m(bu,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),bu.forEach(t),$d=g(oo),Qt=i(oo,"DIV",{class:!0});var Pa=l(Qt);T(nn.$$.fragment,Pa),vd=g(Pa),sn=i(Pa,"P",{});var Na=l(sn);kd=m(Na,"Returns True to validate the check that the model using "),ir=i(Na,"CODE",{});var Ou=l(ir);wd=m(Ou,"GenerationMixin.generate()"),Ou.forEach(t),xd=m(Na," can indeed generate."),Na.forEach(t),Pa.forEach(t),Td=g(oo),Z=i(oo,"DIV",{class:!0});var Ee=l(Z);T(rn.$$.fragment,Ee),bd=g(Ee),Ke=i(Ee,"P",{});var yn=l(Ke);Od=m(yn,"The "),lr=i(yn,"CODE",{});var yu=l(lr);yd=m(yu,"ORTModelForSpeechSeq2Seq"),yu.forEach(t),Md=m(yn," forward method, overrides the "),pr=i(yn,"CODE",{});var Mu=l(pr);qd=m(Mu,"__call__"),Mu.forEach(t),jd=m(yn," special method."),yn.forEach(t),Ed=g(Ee),T(Ht.$$.fragment,Ee),Rd=g(Ee),T(Vt.$$.fragment,Ee),Fd=g(Ee),T(Bt.$$.fragment,Ee),Ee.forEach(t),oo.forEach(t),aa=g(o),Ze=i(o,"H2",{class:!0});var Aa=l(Ze);Gt=i(Aa,"A",{id:!0,class:!0,href:!0});var qu=l(Gt);mr=i(qu,"SPAN",{});var ju=l(mr);T(an.$$.fragment,ju),ju.forEach(t),qu.forEach(t),Cd=g(Aa),dr=i(Aa,"SPAN",{});var Eu=l(dr);Sd=m(Eu,"ORTModelForTokenClassification"),Eu.forEach(t),Aa.forEach(t),ia=g(o),Q=i(o,"DIV",{class:!0});var Re=l(Q);T(ln.$$.fragment,Re),zd=g(Re),cr=i(Re,"P",{});var Ru=l(cr);Pd=m(Ru,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Ru.forEach(t),Nd=g(Re),pn=i(Re,"P",{});var Ia=l(pn);Ad=m(Ia,"This model inherits from [~"),ur=i(Ia,"CODE",{});var Fu=l(ur);Id=m(Fu,"onnxruntime.modeling_ort.ORTModel"),Fu.forEach(t),Dd=m(Ia,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ia.forEach(t),Ld=g(Re),hr=i(Re,"P",{});var Cu=l(hr);Xd=m(Cu,"Token Classification model for ONNX."),Cu.forEach(t),Ud=g(Re),ee=i(Re,"DIV",{class:!0});var Fe=l(ee);T(mn.$$.fragment,Fe),Wd=g(Fe),et=i(Fe,"P",{});var Mn=l(et);Qd=m(Mn,"The "),gr=i(Mn,"CODE",{});var Su=l(gr);Hd=m(Su,"ORTModelForTokenClassification"),Su.forEach(t),Vd=m(Mn," forward method, overrides the "),fr=i(Mn,"CODE",{});var zu=l(fr);Bd=m(zu,"__call__"),zu.forEach(t),Gd=m(Mn," special method."),Mn.forEach(t),Jd=g(Fe),T(Jt.$$.fragment,Fe),Yd=g(Fe),T(Yt.$$.fragment,Fe),Kd=g(Fe),T(Kt.$$.fragment,Fe),Fe.forEach(t),Re.forEach(t),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(wh)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(d,"class","relative group"),q(tt,"id","optimum.onnxruntime.ORTModel"),q(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(tt,"href","#optimum.onnxruntime.ORTModel"),q(E,"class","relative group"),q(po,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),q(po,"rel","nofollow"),q(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(at,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(at,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(Ce,"class","relative group"),q(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(dt,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(dt,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(ze,"class","relative group"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(gt,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(gt,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ne,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(vt,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(vt,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Ie,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Tt,"id","optimum.onnxruntime.ORTModelForMultipleChoice"),q(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Tt,"href","#optimum.onnxruntime.ORTModelForMultipleChoice"),q(Le,"class","relative group"),q(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(yt,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(yt,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ue,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Et,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(Et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Et,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(Qe,"class","relative group"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(St,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(St,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(St,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Ve,"class","relative group"),q(zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(It,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(It,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(It,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(Ge,"class","relative group"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Wt,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(Wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Wt,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(Ye,"class","relative group"),q(Qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Gt,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(Gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Gt,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(Ze,"class","relative group"),q(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,$){e(document.head,s),k(o,_,$),k(o,d,$),e(d,u),e(u,f),b(n,f,null),e(d,r),e(d,w),e(w,c),k(o,v,$),k(o,E,$),e(E,tt),e(tt,qn),b(no,qn,null),e(E,Da),e(E,jn),e(jn,La),k(o,Ir,$),k(o,F,$),b(so,F,null),e(F,Xa),e(F,En),e(En,Ua),e(F,Wa),e(F,ro),e(ro,Qa),e(ro,Rn),e(Rn,Ha),e(ro,Va),e(F,Ba),e(F,Fn),e(Fn,Ga),e(F,Ja),e(F,ao),e(ao,de),e(de,Ya),e(de,Cn),e(Cn,Ka),e(de,Za),e(de,Sn),e(Sn,ei),e(de,ti),e(de,zn),e(zn,oi),e(de,ni),e(ao,si),e(ao,ce),e(ce,ri),e(ce,Pn),e(Pn,ai),e(ce,ii),e(ce,Nn),e(Nn,li),e(ce,pi),e(ce,An),e(An,mi),e(ce,di),e(F,ci),e(F,In),e(In,ui),e(F,hi),e(F,te),e(te,io),e(io,gi),e(io,Dn),e(Dn,fi),e(io,_i),e(te,$i),e(te,lo),e(lo,vi),e(lo,po),e(po,ki),e(lo,wi),e(te,xi),e(te,oe),e(oe,Ti),e(oe,Ln),e(Ln,bi),e(oe,Oi),e(oe,Xn),e(Xn,yi),e(oe,Mi),e(oe,Un),e(Un,qi),e(oe,ji),e(oe,Wn),e(Wn,Ei),e(oe,Ri),e(te,Fi),e(te,mo),e(mo,Ci),e(mo,Qn),e(Qn,Si),e(mo,zi),e(te,Pi),e(te,Hn),e(Hn,Ni),e(F,Ai),e(F,ot),b(co,ot,null),e(ot,Ii),e(ot,Vn),e(Vn,Di),e(F,Li),e(F,nt),b(uo,nt,null),e(nt,Xi),e(nt,ho),e(ho,Ui),e(ho,Bn),e(Bn,Wi),e(ho,Qi),e(F,Hi),e(F,st),b(go,st,null),e(st,Vi),e(st,Gn),e(Gn,Bi),e(F,Gi),e(F,rt),b(fo,rt,null),e(rt,Ji),e(rt,Jn),e(Jn,Yi),k(o,Dr,$),k(o,Ce,$),e(Ce,at),e(at,Yn),b(_o,Yn,null),e(Ce,Ki),e(Ce,Kn),e(Kn,Zi),k(o,Lr,$),k(o,ne,$),b($o,ne,null),e(ne,el),e(ne,Zn),e(Zn,tl),e(ne,ol),e(ne,it),b(vo,it,null),e(it,nl),e(it,ko),e(ko,sl),e(ko,es),e(es,rl),e(ko,al),e(ne,il),e(ne,H),b(wo,H,null),e(H,ll),e(H,Se),e(Se,pl),e(Se,ts),e(ts,ml),e(Se,dl),e(Se,os),e(os,cl),e(Se,ul),e(H,hl),b(lt,H,null),e(H,gl),b(pt,H,null),e(H,fl),b(mt,H,null),k(o,Xr,$),k(o,ze,$),e(ze,dt),e(dt,ns),b(xo,ns,null),e(ze,_l),e(ze,ss),e(ss,$l),k(o,Ur,$),k(o,A,$),b(To,A,null),e(A,vl),e(A,rs),e(rs,kl),e(A,wl),e(A,bo),e(bo,xl),e(bo,as),e(as,Tl),e(bo,bl),e(A,Ol),e(A,is),e(is,yl),e(A,Ml),e(A,V),b(Oo,V,null),e(V,ql),e(V,Pe),e(Pe,jl),e(Pe,ls),e(ls,El),e(Pe,Rl),e(Pe,ps),e(ps,Fl),e(Pe,Cl),e(V,Sl),b(ct,V,null),e(V,zl),b(ut,V,null),e(V,Pl),b(ht,V,null),k(o,Wr,$),k(o,Ne,$),e(Ne,gt),e(gt,ms),b(yo,ms,null),e(Ne,Nl),e(Ne,ds),e(ds,Al),k(o,Qr,$),k(o,I,$),b(Mo,I,null),e(I,Il),e(I,cs),e(cs,Dl),e(I,Ll),e(I,qo),e(qo,Xl),e(qo,us),e(us,Ul),e(qo,Wl),e(I,Ql),e(I,hs),e(hs,Hl),e(I,Vl),e(I,B),b(jo,B,null),e(B,Bl),e(B,Ae),e(Ae,Gl),e(Ae,gs),e(gs,Jl),e(Ae,Yl),e(Ae,fs),e(fs,Kl),e(Ae,Zl),e(B,ep),b(ft,B,null),e(B,tp),b(_t,B,null),e(B,op),b($t,B,null),k(o,Hr,$),k(o,Ie,$),e(Ie,vt),e(vt,_s),b(Eo,_s,null),e(Ie,np),e(Ie,$s),e($s,sp),k(o,Vr,$),k(o,D,$),b(Ro,D,null),e(D,rp),e(D,vs),e(vs,ap),e(D,ip),e(D,Fo),e(Fo,lp),e(Fo,ks),e(ks,pp),e(Fo,mp),e(D,dp),e(D,ws),e(ws,cp),e(D,up),e(D,G),b(Co,G,null),e(G,hp),e(G,De),e(De,gp),e(De,xs),e(xs,fp),e(De,_p),e(De,Ts),e(Ts,$p),e(De,vp),e(G,kp),b(kt,G,null),e(G,wp),b(wt,G,null),e(G,xp),b(xt,G,null),k(o,Br,$),k(o,Le,$),e(Le,Tt),e(Tt,bs),b(So,bs,null),e(Le,Tp),e(Le,Os),e(Os,bp),k(o,Gr,$),k(o,L,$),b(zo,L,null),e(L,Op),e(L,ys),e(ys,yp),e(L,Mp),e(L,Po),e(Po,qp),e(Po,Ms),e(Ms,jp),e(Po,Ep),e(L,Rp),e(L,qs),e(qs,Fp),e(L,Cp),e(L,pe),b(No,pe,null),e(pe,Sp),e(pe,Xe),e(Xe,zp),e(Xe,js),e(js,Pp),e(Xe,Np),e(Xe,Es),e(Es,Ap),e(Xe,Ip),e(pe,Dp),b(bt,pe,null),e(pe,Lp),b(Ot,pe,null),k(o,Jr,$),k(o,Ue,$),e(Ue,yt),e(yt,Rs),b(Ao,Rs,null),e(Ue,Xp),e(Ue,Fs),e(Fs,Up),k(o,Yr,$),k(o,X,$),b(Io,X,null),e(X,Wp),e(X,Cs),e(Cs,Qp),e(X,Hp),e(X,Do),e(Do,Vp),e(Do,Ss),e(Ss,Bp),e(Do,Gp),e(X,Jp),e(X,zs),e(zs,Yp),e(X,Kp),e(X,J),b(Lo,J,null),e(J,Zp),e(J,We),e(We,em),e(We,Ps),e(Ps,tm),e(We,om),e(We,Ns),e(Ns,nm),e(We,sm),e(J,rm),b(Mt,J,null),e(J,am),b(qt,J,null),e(J,im),b(jt,J,null),k(o,Kr,$),k(o,Qe,$),e(Qe,Et),e(Et,As),b(Xo,As,null),e(Qe,lm),e(Qe,Is),e(Is,pm),k(o,Zr,$),k(o,U,$),b(Uo,U,null),e(U,mm),e(U,Ds),e(Ds,dm),e(U,cm),e(U,Wo),e(Wo,um),e(Wo,Ls),e(Ls,hm),e(Wo,gm),e(U,fm),e(U,Xs),e(Xs,_m),e(U,$m),e(U,Y),b(Qo,Y,null),e(Y,vm),e(Y,He),e(He,km),e(He,Us),e(Us,wm),e(He,xm),e(He,Ws),e(Ws,Tm),e(He,bm),e(Y,Om),b(Rt,Y,null),e(Y,ym),b(Ft,Y,null),e(Y,Mm),b(Ct,Y,null),k(o,ea,$),k(o,Ve,$),e(Ve,St),e(St,Qs),b(Ho,Qs,null),e(Ve,qm),e(Ve,Hs),e(Hs,jm),k(o,ta,$),k(o,se,$),b(Vo,se,null),e(se,Em),e(se,Vs),e(Vs,Rm),e(se,Fm),e(se,zt),b(Bo,zt,null),e(zt,Cm),e(zt,Go),e(Go,Sm),e(Go,Bs),e(Bs,zm),e(Go,Pm),e(se,Nm),e(se,K),b(Jo,K,null),e(K,Am),e(K,Be),e(Be,Im),e(Be,Gs),e(Gs,Dm),e(Be,Lm),e(Be,Js),e(Js,Xm),e(Be,Um),e(K,Wm),b(Pt,K,null),e(K,Qm),b(Nt,K,null),e(K,Hm),b(At,K,null),k(o,oa,$),k(o,Ge,$),e(Ge,It),e(It,Ys),b(Yo,Ys,null),e(Ge,Vm),e(Ge,Ks),e(Ks,Bm),k(o,na,$),k(o,W,$),b(Ko,W,null),e(W,Gm),e(W,Zs),e(Zs,Jm),e(W,Ym),e(W,Zo),e(Zo,Km),e(Zo,er),e(er,Zm),e(Zo,ed),e(W,td),e(W,tr),e(tr,od),e(W,nd),e(W,N),b(en,N,null),e(N,sd),e(N,Je),e(Je,rd),e(Je,or),e(or,ad),e(Je,id),e(Je,nr),e(nr,ld),e(Je,pd),e(N,md),b(Dt,N,null),e(N,dd),b(Lt,N,null),e(N,cd),b(Xt,N,null),e(N,ud),b(Ut,N,null),k(o,sa,$),k(o,Ye,$),e(Ye,Wt),e(Wt,sr),b(tn,sr,null),e(Ye,hd),e(Ye,rr),e(rr,gd),k(o,ra,$),k(o,re,$),b(on,re,null),e(re,fd),e(re,ar),e(ar,_d),e(re,$d),e(re,Qt),b(nn,Qt,null),e(Qt,vd),e(Qt,sn),e(sn,kd),e(sn,ir),e(ir,wd),e(sn,xd),e(re,Td),e(re,Z),b(rn,Z,null),e(Z,bd),e(Z,Ke),e(Ke,Od),e(Ke,lr),e(lr,yd),e(Ke,Md),e(Ke,pr),e(pr,qd),e(Ke,jd),e(Z,Ed),b(Ht,Z,null),e(Z,Rd),b(Vt,Z,null),e(Z,Fd),b(Bt,Z,null),k(o,aa,$),k(o,Ze,$),e(Ze,Gt),e(Gt,mr),b(an,mr,null),e(Ze,Cd),e(Ze,dr),e(dr,Sd),k(o,ia,$),k(o,Q,$),b(ln,Q,null),e(Q,zd),e(Q,cr),e(cr,Pd),e(Q,Nd),e(Q,pn),e(pn,Ad),e(pn,ur),e(ur,Id),e(pn,Dd),e(Q,Ld),e(Q,hr),e(hr,Xd),e(Q,Ud),e(Q,ee),b(mn,ee,null),e(ee,Wd),e(ee,et),e(et,Qd),e(et,gr),e(gr,Hd),e(et,Vd),e(et,fr),e(fr,Bd),e(et,Gd),e(ee,Jd),b(Jt,ee,null),e(ee,Yd),b(Yt,ee,null),e(ee,Kd),b(Kt,ee,null),la=!0},p(o,[$]){const dn={};$&2&&(dn.$$scope={dirty:$,ctx:o}),lt.$set(dn);const _r={};$&2&&(_r.$$scope={dirty:$,ctx:o}),pt.$set(_r);const $r={};$&2&&($r.$$scope={dirty:$,ctx:o}),mt.$set($r);const vr={};$&2&&(vr.$$scope={dirty:$,ctx:o}),ct.$set(vr);const cn={};$&2&&(cn.$$scope={dirty:$,ctx:o}),ut.$set(cn);const kr={};$&2&&(kr.$$scope={dirty:$,ctx:o}),ht.$set(kr);const wr={};$&2&&(wr.$$scope={dirty:$,ctx:o}),ft.$set(wr);const xr={};$&2&&(xr.$$scope={dirty:$,ctx:o}),_t.$set(xr);const C={};$&2&&(C.$$scope={dirty:$,ctx:o}),$t.$set(C);const Tr={};$&2&&(Tr.$$scope={dirty:$,ctx:o}),kt.$set(Tr);const un={};$&2&&(un.$$scope={dirty:$,ctx:o}),wt.$set(un);const br={};$&2&&(br.$$scope={dirty:$,ctx:o}),xt.$set(br);const Or={};$&2&&(Or.$$scope={dirty:$,ctx:o}),bt.$set(Or);const hn={};$&2&&(hn.$$scope={dirty:$,ctx:o}),Ot.$set(hn);const ue={};$&2&&(ue.$$scope={dirty:$,ctx:o}),Mt.$set(ue);const yr={};$&2&&(yr.$$scope={dirty:$,ctx:o}),qt.$set(yr);const Mr={};$&2&&(Mr.$$scope={dirty:$,ctx:o}),jt.$set(Mr);const qr={};$&2&&(qr.$$scope={dirty:$,ctx:o}),Rt.$set(qr);const he={};$&2&&(he.$$scope={dirty:$,ctx:o}),Ft.$set(he);const jr={};$&2&&(jr.$$scope={dirty:$,ctx:o}),Ct.$set(jr);const Er={};$&2&&(Er.$$scope={dirty:$,ctx:o}),Pt.$set(Er);const Rr={};$&2&&(Rr.$$scope={dirty:$,ctx:o}),Nt.$set(Rr);const Fr={};$&2&&(Fr.$$scope={dirty:$,ctx:o}),At.$set(Fr);const ae={};$&2&&(ae.$$scope={dirty:$,ctx:o}),Dt.$set(ae);const gn={};$&2&&(gn.$$scope={dirty:$,ctx:o}),Lt.$set(gn);const Cr={};$&2&&(Cr.$$scope={dirty:$,ctx:o}),Xt.$set(Cr);const fn={};$&2&&(fn.$$scope={dirty:$,ctx:o}),Ut.$set(fn);const Sr={};$&2&&(Sr.$$scope={dirty:$,ctx:o}),Ht.$set(Sr);const ie={};$&2&&(ie.$$scope={dirty:$,ctx:o}),Vt.$set(ie);const zr={};$&2&&(zr.$$scope={dirty:$,ctx:o}),Bt.$set(zr);const Pr={};$&2&&(Pr.$$scope={dirty:$,ctx:o}),Jt.$set(Pr);const Nr={};$&2&&(Nr.$$scope={dirty:$,ctx:o}),Yt.$set(Nr);const Ar={};$&2&&(Ar.$$scope={dirty:$,ctx:o}),Kt.$set(Ar)},i(o){la||(O(n.$$.fragment,o),O(no.$$.fragment,o),O(so.$$.fragment,o),O(co.$$.fragment,o),O(uo.$$.fragment,o),O(go.$$.fragment,o),O(fo.$$.fragment,o),O(_o.$$.fragment,o),O($o.$$.fragment,o),O(vo.$$.fragment,o),O(wo.$$.fragment,o),O(lt.$$.fragment,o),O(pt.$$.fragment,o),O(mt.$$.fragment,o),O(xo.$$.fragment,o),O(To.$$.fragment,o),O(Oo.$$.fragment,o),O(ct.$$.fragment,o),O(ut.$$.fragment,o),O(ht.$$.fragment,o),O(yo.$$.fragment,o),O(Mo.$$.fragment,o),O(jo.$$.fragment,o),O(ft.$$.fragment,o),O(_t.$$.fragment,o),O($t.$$.fragment,o),O(Eo.$$.fragment,o),O(Ro.$$.fragment,o),O(Co.$$.fragment,o),O(kt.$$.fragment,o),O(wt.$$.fragment,o),O(xt.$$.fragment,o),O(So.$$.fragment,o),O(zo.$$.fragment,o),O(No.$$.fragment,o),O(bt.$$.fragment,o),O(Ot.$$.fragment,o),O(Ao.$$.fragment,o),O(Io.$$.fragment,o),O(Lo.$$.fragment,o),O(Mt.$$.fragment,o),O(qt.$$.fragment,o),O(jt.$$.fragment,o),O(Xo.$$.fragment,o),O(Uo.$$.fragment,o),O(Qo.$$.fragment,o),O(Rt.$$.fragment,o),O(Ft.$$.fragment,o),O(Ct.$$.fragment,o),O(Ho.$$.fragment,o),O(Vo.$$.fragment,o),O(Bo.$$.fragment,o),O(Jo.$$.fragment,o),O(Pt.$$.fragment,o),O(Nt.$$.fragment,o),O(At.$$.fragment,o),O(Yo.$$.fragment,o),O(Ko.$$.fragment,o),O(en.$$.fragment,o),O(Dt.$$.fragment,o),O(Lt.$$.fragment,o),O(Xt.$$.fragment,o),O(Ut.$$.fragment,o),O(tn.$$.fragment,o),O(on.$$.fragment,o),O(nn.$$.fragment,o),O(rn.$$.fragment,o),O(Ht.$$.fragment,o),O(Vt.$$.fragment,o),O(Bt.$$.fragment,o),O(an.$$.fragment,o),O(ln.$$.fragment,o),O(mn.$$.fragment,o),O(Jt.$$.fragment,o),O(Yt.$$.fragment,o),O(Kt.$$.fragment,o),la=!0)},o(o){y(n.$$.fragment,o),y(no.$$.fragment,o),y(so.$$.fragment,o),y(co.$$.fragment,o),y(uo.$$.fragment,o),y(go.$$.fragment,o),y(fo.$$.fragment,o),y(_o.$$.fragment,o),y($o.$$.fragment,o),y(vo.$$.fragment,o),y(wo.$$.fragment,o),y(lt.$$.fragment,o),y(pt.$$.fragment,o),y(mt.$$.fragment,o),y(xo.$$.fragment,o),y(To.$$.fragment,o),y(Oo.$$.fragment,o),y(ct.$$.fragment,o),y(ut.$$.fragment,o),y(ht.$$.fragment,o),y(yo.$$.fragment,o),y(Mo.$$.fragment,o),y(jo.$$.fragment,o),y(ft.$$.fragment,o),y(_t.$$.fragment,o),y($t.$$.fragment,o),y(Eo.$$.fragment,o),y(Ro.$$.fragment,o),y(Co.$$.fragment,o),y(kt.$$.fragment,o),y(wt.$$.fragment,o),y(xt.$$.fragment,o),y(So.$$.fragment,o),y(zo.$$.fragment,o),y(No.$$.fragment,o),y(bt.$$.fragment,o),y(Ot.$$.fragment,o),y(Ao.$$.fragment,o),y(Io.$$.fragment,o),y(Lo.$$.fragment,o),y(Mt.$$.fragment,o),y(qt.$$.fragment,o),y(jt.$$.fragment,o),y(Xo.$$.fragment,o),y(Uo.$$.fragment,o),y(Qo.$$.fragment,o),y(Rt.$$.fragment,o),y(Ft.$$.fragment,o),y(Ct.$$.fragment,o),y(Ho.$$.fragment,o),y(Vo.$$.fragment,o),y(Bo.$$.fragment,o),y(Jo.$$.fragment,o),y(Pt.$$.fragment,o),y(Nt.$$.fragment,o),y(At.$$.fragment,o),y(Yo.$$.fragment,o),y(Ko.$$.fragment,o),y(en.$$.fragment,o),y(Dt.$$.fragment,o),y(Lt.$$.fragment,o),y(Xt.$$.fragment,o),y(Ut.$$.fragment,o),y(tn.$$.fragment,o),y(on.$$.fragment,o),y(nn.$$.fragment,o),y(rn.$$.fragment,o),y(Ht.$$.fragment,o),y(Vt.$$.fragment,o),y(Bt.$$.fragment,o),y(an.$$.fragment,o),y(ln.$$.fragment,o),y(mn.$$.fragment,o),y(Jt.$$.fragment,o),y(Yt.$$.fragment,o),y(Kt.$$.fragment,o),la=!1},d(o){t(s),o&&t(_),o&&t(d),M(n),o&&t(v),o&&t(E),M(no),o&&t(Ir),o&&t(F),M(so),M(co),M(uo),M(go),M(fo),o&&t(Dr),o&&t(Ce),M(_o),o&&t(Lr),o&&t(ne),M($o),M(vo),M(wo),M(lt),M(pt),M(mt),o&&t(Xr),o&&t(ze),M(xo),o&&t(Ur),o&&t(A),M(To),M(Oo),M(ct),M(ut),M(ht),o&&t(Wr),o&&t(Ne),M(yo),o&&t(Qr),o&&t(I),M(Mo),M(jo),M(ft),M(_t),M($t),o&&t(Hr),o&&t(Ie),M(Eo),o&&t(Vr),o&&t(D),M(Ro),M(Co),M(kt),M(wt),M(xt),o&&t(Br),o&&t(Le),M(So),o&&t(Gr),o&&t(L),M(zo),M(No),M(bt),M(Ot),o&&t(Jr),o&&t(Ue),M(Ao),o&&t(Yr),o&&t(X),M(Io),M(Lo),M(Mt),M(qt),M(jt),o&&t(Kr),o&&t(Qe),M(Xo),o&&t(Zr),o&&t(U),M(Uo),M(Qo),M(Rt),M(Ft),M(Ct),o&&t(ea),o&&t(Ve),M(Ho),o&&t(ta),o&&t(se),M(Vo),M(Bo),M(Jo),M(Pt),M(Nt),M(At),o&&t(oa),o&&t(Ge),M(Yo),o&&t(na),o&&t(W),M(Ko),M(en),M(Dt),M(Lt),M(Xt),M(Ut),o&&t(sa),o&&t(Ye),M(tn),o&&t(ra),o&&t(re),M(on),M(nn),M(rn),M(Ht),M(Vt),M(Bt),o&&t(aa),o&&t(Ze),M(an),o&&t(ia),o&&t(Q),M(ln),M(mn),M(Jt),M(Yt),M(Kt)}}}const wh={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForMultipleChoice",title:"ORTModelForMultipleChoice"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function xh(j){return Du(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jh extends Pu{constructor(s){super();Nu(this,s,xh,kh,Au,{})}}export{jh as default,wh as metadata};
